Group: Development/Tools
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname pyttsx
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

%define		realname parente-pyttsx

Name:		python-module-pyttsx
Version:	1.0
Release:	alt1_15
Summary:	Cross platform text-to-speech
License:	BSD
URL:		http://pypi.python.org/pypi/pyttsx
Source0:	https://github.com/parente/pyttsx/tarball/master/%{realname}-86fcc6e.tar.gz

BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	python-module-pkg_resources python-module-setuptools

Requires:	espeak libespeak
Source44: import.info
# optional?
%filter_from_requires /^python2...AppKit./d
%filter_from_requires /^python2...Foundation./d
%filter_from_requires /^python2...PyObjCTools./d
%filter_from_requires /^python2...pythoncom./d
%filter_from_requires /^python2...win32com./d


%description
pyttsx is a Python package supporting common text-to-speech engines. 
It currently supports SAPI5, NSSpeechSynthesizer, and espeak.

%prep
%setup -q -n %{realname}-86fcc6e

%build
%python_build

%check
%{__python} setup.py test

%install
%python_install
# Remove tests
rm -rf %{buildroot}%{python_sitelibdir}/tests

%files
%doc LICENSE README.rst
%{python_sitelibdir_noarch}/%{oldname}
%{python_sitelibdir_noarch}/%{oldname}-%{version}-py?.?.egg-info

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_15
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_14
- update to new release by fcimport

* Thu Mar 08 2018 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_13
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_11
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_10
- update to new release by fcimport

* Mon Dec 19 2016 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_9
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_5
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_4
- update to new release by fcimport

* Thu Jan 10 2013 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_3
- initial fc import

